Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor.quickdiff
Class QuickDiffToggleAction

    java.lang.Object
      org.eclipse.ui.texteditor.quickdiff.QuickDiffToggleAction

All Implemented Interfaces:
  IActionDelegate, IEditorActionDelegate, IUpdate

public class QuickDiffToggleAction
extends Object
implements IEditorActionDelegate, IUpdate

Action to toggle the line number bar's quick diff display. When turned on, quick diff shows the changes relative to the saved version of the file.

Since:
  3.0

Constructor Summary
`QuickDiffToggleAction()`

Method Summary
`void` | `run(IAction action)` Performs this action.
`void` | `selectionChanged(IAction action, ISelection selection)` Notifies this action delegate that the selection in the workbench has changed.
`void` | `setActiveEditor(IAction action, IEditorPart targetEditor)` Sets the active editor for the delegate.
`void` | `update()` Requests that this object update itself.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuickDiffToggleAction

    public QuickDiffToggleAction()

Method Detail

### setActiveEditor

    public void setActiveEditor(IAction action,
                                IEditorPart targetEditor)

  Description copied from interface: `IEditorActionDelegate`
  Sets the active editor for the delegate. Implementors should disconnect from the old editor, connect to the new editor, and update the action to reflect the new editor.

  Specified by:
    `setActiveEditor` in interface `IEditorActionDelegate`
  Parameters:
    `action` - the action proxy that handles presentation portion of the action
    `targetEditor` - the new editor target

### run

    public void run(IAction action)

  Description copied from interface: `IActionDelegate`
  Performs this action.

  This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

  Note: If the action delegate also implements `IActionDelegate2`, then this method is not invoked but instead the `runWithEvent(IAction, Event)` method is called.

  Specified by:
    `run` in interface `IActionDelegate`
  Parameters:
    `action` - the action proxy that handles the presentation portion of the action

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Description copied from interface: `IActionDelegate`
  Notifies this action delegate that the selection in the workbench has changed.

  Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

  When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Parameters:
    `action` - the action proxy that handles presentation portion of the action
    `selection` - the current selection, or `null` if there is no selection.

### update

    public void update()

  Description copied from interface: `IUpdate`
  Requests that this object update itself.

  Specified by:
    `update` in interface `IUpdate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.